Try ERPNext Buy Support Partners Foundation Foundation Members

How to upgrade ERPNext app to v11 (branch develop)

i try
bench update
my site still ERPNext: v10.1.49 (master)

i want to upgrade to ERPnext: v11.x.x-develop (e3f8554) (develop)

First thing, develop branch is not the actual stable v11 branch. It does have the features but Version 11 hasn’t rolled out yet.

For changing the branch, you can do it via bench switch-to-branch develop

however i recommend doing so on a different site. so make a new site (via bench new-site) and then try it out. also don’t forget to run bench update --patch after that

3 Likes

currently , i use ERPNext: v10.1.49 (master). when i submit Stock Entry , my server has high cpu until reach time out then i tried in another server with ERPnext: v11.x.x-develop (e3f8554) (develop) it’s working perfectly.

So the ERPNext: v10.1.49 (master) with Stock Entry still doesn’t fix this issue?
How I can get this work?

Thank in advanced

@rmehta

Boomin tagging an individual user is not recommended here. Sorry about this.

1 Like

Both servers have same configuration ?

How many items are on the stock entry? You could increase the timeout.

There have been quite a few code optimiations when handling large numbers of transactions that I believ have only gone into v11 develop which is possibly why it runs better on your develop instance.

2 Likes

We are currently running ERPNext: v10.1.49.

In an attempt to upgrade to v11 I have tried the following:

frappe-bench$ bench switch-to-develop
frappe-bench$ bench switch-to-branch develop
bench update --patch
bench update --upgrade
produces the following error:

Error: no such option: --upgrade

So we are still on
ERPNext: v10.1.49

Frappe Framework: v10.1.46

1 Like

can you explain configuration

Hello cpurbaugh, I’m Boomin’s colleague.
Our server that installed ERPNext: v10.1.49 (master) has only 10 items, all stock entry records had status pending and I think increase timeout is doesn’t help. This is just 10 items in stock and the Stock Entry record we put 7 items with random quantity to difference warehouse so it is unable to submit.
First, we would try the develop version on this server and test all functions that we plan to use, if no problem or bug occurred, we might use this version on production until new version of ERPNext (master) released.

–upgrade option to bench update has been deprecated. just use bench update

and bench update --patch after update to sync database

Then in your case I would assume you have a big problem with your installation. No way should Erpnext be struggling with this. My company has a V7 install and we’ve made entries of up to 500 line items. You need to check everything before assuming it is a version issue.

V10 is very stable. Refresh yor server and reinstall a new instance. Definitely installation error has error has occurred. Use Ubuntu 16 server edition which we have found to give least of issues on rare instance. Mostly no issues found.

1 Like

Tried bench update --patch and still am unable to upgrade to v11f
Here is pastebin link to the steps we tried
https://pastebin.com/XCvJL29N

“still am unable to upgrade to v11”

What indication have of that - for eg what does ‘bench version’ respond with?

Running bench version now shows ll but it is not reflected in ERPNext GUI:still10

[latte@erp10-jb ~/frappe-bench]$ bench version
erpnext 11.x.x-develop
frappe 11.x.x-develop

Have you updated minus your custom apps to see if they are part of your problem?

have you tried clearing the browser’s cache?

Will try on system without custom apps